Subject: RE: SSHD startup problem under 2K
From: "Harig, Mark A." <[email-masked]>
To: "Kim Scarborough" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 23 Jul 2002 12:35:43 -0400

What filesystem are you running on this third box?  In order for the
CYGWIN=ntsec setting to have an effect, you need to have NTFS installed
on your disk drive (independent of Cygwin).  Windows provides a utility,
'convert', that converts FAT32 to NTFS, if you need to convert your
filesystem.

> -----Original Message-----
> From: Kim Scarborough [mailto:[email-masked]]
> Sent: Tuesday, July 23, 2002 12:23 PM
> To: [email-masked]
> Subject: SSHD startup problem under 2K
> 
> 
> I've set up sshd under Win2K with no problems on two boxes, 
> but now I'm having
> a weird issue I can't figure out. Whenever I try to start it 
> as a service, I
> get the "WARNING: UNPROTECTED PRIVATE KEY FILE!" error in 
> /var/log/sshd.log.
> It says the permissions for /etc/ssh_host_dsa_key are set to 
> 644, but they
> aren't, darn it. They're 600. If I change it to 400, sshd 
> claims they're 444.
> The permissions match in the windows security tab for the 
> file. I have CYGWIN
> set for the system to 'ntsec tty'. I do seem to be able to 
> run it as myself
> from the command line (I have to take ownership of 
> /etc/ssh_host_dsa_key, of
> course). I thought maybe the CYGWIN variable wasn't set 
> correctly for the
> SYSTEM account so I rebooted, but that didn't help.
> 
> The really odd thing is that this happens even if I set 
> StrictModes to "No".
> 
> Any ideas? I looked through the archives and saw a few other 
> people'd had this
> problem, but none of the suggested solutions I've found so 
> far have worked for
> me.
> 
> --------------------------------------------------------------
> ----------------
> Kim Scarborough                                     
http://www.unknown.nu/kim/
------------------------------------------------------------------------
------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/